> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Список доступных выделенных IPs

> Список доступных управляемых выделенных IPs.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ru.json GET /v1/public/accounts/{account_id}/dedicated-ips/available-options
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/dedicated-ips/available-options:
    get:
      tags:
        - public-accounts
        - public-dedicated-ips
      summary: Список доступных выделенных IPs
      description: Список доступных управляемых выделенных IPs.
      operationId: >-
        list_public_dedicated_ip_options_v1_public_accounts__account_id__dedicated_ips_available_options_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: asn
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Asn
        - in: query
          name: country_code
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Country Code
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/PublicDedicatedIpInventoryOption'
                title: >-
                  Response List Public Dedicated Ip Options V1 Public Accounts 
                  Account Id  Dedicated Ips Available Options Get
                type: array
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Ошибка валидации
      security:
        - PublicBearerAuth: []
components:
  schemas:
    PublicDedicatedIpInventoryOption:
      properties:
        asn:
          anyOf:
            - type: integer
            - type: 'null'
          description: Номер автономной системы для опции
          title: ASN
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          description: Код страны ISO для опции
          title: Код страны
        id:
          description: Вариант инвентаря UUID
          format: uuid
          title: ID
          type: string
        ip_addresses:
          description: Публичные адреса, включенные в эту опцию
          items:
            $ref: '#/components/schemas/PublicDedicatedIpAddressResponse'
          title: IP-адреса
          type: array
        name:
          description: Название варианта инвентаря, видимое клиенту
          title: Имя
          type: string
      required:
        - id
        - name
      title: PublicDedicatedIpInventoryOption
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Сведения
          type: array
      title: HTTPОшибка проверки
      type: object
    PublicDedicatedIpAddressResponse:
      description: Метаданные общедоступного выделенного адреса IP без сигналов репутации.
      properties:
        fcrdns_confirmed:
          default: false
          description: Пройден ли форвардно подтвержденный обратный DNS
          title: Fcrdns подтверждено
          type: boolean
        healthy:
          anyOf:
            - type: boolean
            - type: 'null'
          description: Текущее состояние здоровья, если доступно
          title: Исправно
        ip:
          description: Публичный адрес IP
          title: IP
          type: string
        rdns:
          anyOf:
            - type: string
            - type: 'null'
          description: Обратное имя хоста DNS при настройке
          title: rDNS
      required:
        - ip
      title: PublicDedicatedIpAddressResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Расположение
          type: array
        msg:
          title: Сообщение
          type: string
        type:
          title: Тип ошибки
          type: string
      required:
        - loc
        - msg
        - type
      title: Ошибка проверки
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````